PLplot: cdImageStruct Struct Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Attributes | List of all members
cdImageStruct Struct Reference

`#include "cd.h"`

## Public Attributes
unsigned char * | elemlist
short int | state
int | red [cdMaxColors]
int | green [cdMaxColors]
int | blue [cdMaxColors]
int | open [cdMaxColors]
int | colorsTotal
int | picnum
unsigned char * | desc
unsigned char * | fontlist
short int | numfonts
FILE * | outfile
int | linespec
int | edgespec
int | markerspec
int | sx
int | sy
int | ltype
int | lwidth
int | lcolor
int | shapestyle
int | shapecolor
int | shapehatch
int | edgetype
int | edgewidth
int | edgecolor
int | edgevis
int | textfont
int | textcolor
int | textheight
int | textpath
int | mtype
int | msize
int | mcolor
long int | bytestoend
long int | listlen
unsigned char * | curelemlist

## Detailed Description

Definition at line 60 of file cd.h.

## Member Data Documentation

int cdImageStruct::blue[cdMaxColors]

Definition at line 67 of file cd.h.

long int cdImageStruct::bytestoend

Definition at line 118 of file cd.h.

int cdImageStruct::colorsTotal

Definition at line 69 of file cd.h.

unsigned char* cdImageStruct::curelemlist

Definition at line 120 of file cd.h.

unsigned char* cdImageStruct::desc

Definition at line 75 of file cd.h.

int cdImageStruct::edgecolor

Definition at line 105 of file cd.h.

int cdImageStruct::edgespec

Definition at line 82 of file cd.h.

int cdImageStruct::edgetype

Definition at line 103 of file cd.h.

int cdImageStruct::edgevis

Definition at line 106 of file cd.h.

int cdImageStruct::edgewidth

Definition at line 104 of file cd.h.

unsigned char* cdImageStruct::elemlist

Definition at line 63 of file cd.h.

unsigned char* cdImageStruct::fontlist

Definition at line 76 of file cd.h.

int cdImageStruct::green[cdMaxColors]

Definition at line 66 of file cd.h.

int cdImageStruct::lcolor

Definition at line 90 of file cd.h.

int cdImageStruct::linespec

Definition at line 81 of file cd.h.

long int cdImageStruct::listlen

Definition at line 119 of file cd.h.

int cdImageStruct::ltype

Definition at line 88 of file cd.h.

int cdImageStruct::lwidth

Definition at line 89 of file cd.h.

int cdImageStruct::markerspec

Definition at line 83 of file cd.h.

int cdImageStruct::mcolor

Definition at line 116 of file cd.h.

int cdImageStruct::msize

Definition at line 115 of file cd.h.

int cdImageStruct::mtype

Definition at line 114 of file cd.h.

short int cdImageStruct::numfonts

Definition at line 77 of file cd.h.

int cdImageStruct::open[cdMaxColors]

Definition at line 68 of file cd.h.

FILE* cdImageStruct::outfile

Definition at line 78 of file cd.h.

int cdImageStruct::picnum

Definition at line 72 of file cd.h.

int cdImageStruct::red[cdMaxColors]

Definition at line 65 of file cd.h.

int cdImageStruct::shapecolor

Definition at line 96 of file cd.h.

int cdImageStruct::shapehatch

Definition at line 100 of file cd.h.

int cdImageStruct::shapestyle

Definition at line 93 of file cd.h.

short int cdImageStruct::state

Definition at line 64 of file cd.h.

int cdImageStruct::sx

Definition at line 84 of file cd.h.

int cdImageStruct::sy

Definition at line 85 of file cd.h.

int cdImageStruct::textcolor

Definition at line 110 of file cd.h.

int cdImageStruct::textfont

Definition at line 109 of file cd.h.

int cdImageStruct::textheight

Definition at line 111 of file cd.h.

int cdImageStruct::textpath

Definition at line 112 of file cd.h.

The documentation for this struct was generated from the following file:

- cd.h